=== debian/changelog ===
openjdk-lts (11.0.29+7-1ubuntu1) resolute; urgency=medium

  * OpenJDK 11.0.29 release, build 7. Release notes:
    https://mail.openjdk.org/pipermail/jdk-updates-dev/2025-October/049111.html
    - CVEs:
      + CVE-2025-53057, 8360937: Enhance certificate handling.
      + CVE-2025-53066, 8356294: Enhance Path Factories.

  [ Matthias Klose ]
  * d/{control*, rules}: build using gcc-15.

  [ Vladimir Petko ]
  * d/t/problems.csv: Synchronize problem list.
  * d/p/jdk-8354941-proposed.patch: Apply proposed patch to resolve ftbfs
    with glibc 2.42.
  * d/t/jtreg-autopkgtest.*: Force utf-8 encoding.
  * d/rules: force C99 standard to build with gcc-15.

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Thu, 23 Oct 2025 12:01:16 +0530
