## openjdk-lts 11.0.30+7

=== debian/changelog ===
openjdk-lts (11.0.30+7-1ubuntu1~22.04) jammy-security; urgency=medium

  * Upload to Ubuntu 22.04.
  * Release notes: 
    https://mail.openjdk.org/pipermail/jdk-updates-dev/2026-January/051739.html.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 23 Jan 2026 12:21:53 +1300

openjdk-lts (11.0.30+7-1ubuntu1) resolute; urgency=medium

  * OpenJDK 11.0.30 release, build 7.
    - CVEs:
      + CVE-2026-21945: 8368032: Enhance Certificate Checking.
      + CVE-2026-21932: 8359501: Enhance Handling of URIs.
      + CVE-2026-21933: 8362632: Improve HttpServer Request handling.
      + CVE-2026-21925: 8341496: Improve JMX connections.

  [ Matthias Klose ]
  * d/rules: Adjust any_archs.

  [ Pushkar Kulkarni ]
  * d/t/jtreg-autopkgtest.*: Use locale name "C.UTF-8" on bionic
    and focal.

  [ Vladimir Petko ]
  * d/p/jdk-8354941-proposed.patch: Drop patch applied upstream.
  * Update override comments for unstripped-binary-or-object. We need to
    keep symbols for Native Memory Tracking to work.
  * d/{JB-doc.overrides.in, JB-jre-headless.overrides.in}: Add override
    for old FSF copyright address.
  * d/s/lintian-overrides: Override false positive debian-rules-calls-
    nproc. The utility is used to log the number of processors.
  * d/p/jdk-8224796.diff: Apply upstream patch to fix i386 ftbfs
    introduced by JDK-8224087 backport.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 22 Jan 2026 13:00:42 +1300
